using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using LZBS.DAL;
using LZBS.Model;
using LZBS.Common;

namespace LZBS.BLL
{
    public class B_Download
    {
        D_Download dal = new D_Download();
        /// <summary>
        /// 获取所有文件的编号和名称
        /// </summary>
        /// <returns></returns>
        public DataTable GetFileList()
        {
            return dal.GetFileList();
        }
        /// <summary>
        /// 通过文件编号查找文件的名称和路径
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        public DataRow GetFileInfo(M_Download model)
        {
            return dal.GetFileInfo(model);
        }
        /// <summary>
        /// 上传文件
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        public int UploadFile(M_Download model)
        {
            return dal.UploadFile(model);
        }

        public int DeleteFile(M_Download model)
        {
            return dal.DeleteFile(model);
        }
    }
}
